import Vue from 'vue'
import ElementUI from 'element-ui';
import '@/css/base.css';
import '@/css/phone_ele.css';
import 'element-ui/lib/theme-chalk/index.css';
import App from './App.vue'
import router from './router'
import axios from 'axios'
Vue.prototype.$axios = axios
// import 'lib-flexible'
import '@/utils/flexible'


Vue.use(ElementUI);

Vue.config.productionTip = false

const vue = new Vue({
  router,
  render: h => h(App)
}).$mount('#app')


export default vue