// 变动类型
export const changeType = [
  {value: 'order_pay', label: '下单减款'},
  {value: 'order_cancel', label: '下单失败返回余款'},
  {value: 'recharge', label: '余款充值'},
  {value: 'sys_add_money', label: '管理员调节预存款【增加】'},
  {value: 'sys_del_money', label: '管理员调节预存款【减少】'},
  {value: 'sys_freeze_money', label: '管理员调节预存款【冻结】'},
  {value: 'sys_unfreeze_money', label: '管理员调节预存款【解冻】'},
]

// 余额状态
export const balanceType = [
  {value: 0, label: '审核中'},
  {value: 1, label: '审核通过'},
  {value: 2, label: '审核失败'},
  {value: 3, label: '等待确认'},
]

// 充值卡类型
export const moneyType = [
  {value: 'oil', label: '油卡'},
  {value: 'phone', label: '手机卡'},
  {value: 1, label: '中石油'},
  {value: 2, label: '中石化'},
  {value: 4, label: '中国移动'},
  {value: 5, label: '中国联通'},
  {value: 6, label: '中国电信'}
]

// 充值状态
export const orderState = [
  {value: 0, label: '已取消'},
  {value: 40, label: '充值成功'},
  {value: 30, label: '充值中'}
]
// 充值面额 10 20 30 50 100 200 300 500 1000 2000
export const amountConstant = [
  {value: 10, label: 10},
  {value: 20, label: 20},
  {value: 30, label: 30},
  {value: 50, label: 50},
  {value: 100, label: 100},
  {value: 200, label: 200},
  {value: 300, label: 300},
  {value: 500, label: 500},
  {value: 1000, label: 1000},
  {value: 2000, label: 2000}
]
// 充值耗时
export const timeConstant = [
  {value: 1, label: '>1小时'}
]

// 通道质量
export const qualityCon = [
  {value: 0, label: '默认充值'},
  {value: 1, label: '普充'},
  {value: 2, label: '快充'},
  {value: 3, label: '卡密'},
  {value: 4, label: '三方'},
  {value: 5, label: '慢充24小时'},
  {value: 6, label: '慢充6小时'},
  {value: 7, label: '慢充2小时'},
  {value: 8, label: '慢充48小时'},
  {value: 9, label: '慢充72小时'},
]

// 对账管理
export const RecTime =[
  {value: 'order_time', label: '下单时间'},
  {value: 'notify_time', label: '回调时间'}
]